Name:		seafile-client
Version:	6.0.7
Release:	%mkrel 1
Summary:	Seafile gui client based on Qt5
License:	GPLv3+
Group:		Networking/File transfer
URL:		https://www.seafile.com
Source0:	https://github.com/haiwen/seafile-client/archive/v%{version}/%{name}-%{version}.tar.gz
ExcludeArch:	armv5tl
BuildRequires:	cmake
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Help)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5WebEngine)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(jansson)
BuildRequires:	pkgconfig(sqlite3)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(libevent)
BuildRequires:	pkgconfig(uuid) >= 2.0
BuildRequires:	pkgconfig(libsearpc)
BuildRequires:	pkgconfig(libccnet)
BuildRequires:	pkgconfig(libseafile)

Requires:	qtwebengine5
Requires:	seafile >= %{version}

%description
Seafile is a next-generation open source cloud storage system, with
advanced support for file syncing, privacy protection and teamwork.

%prep
%setup -q

%build
%cmake_qt5 -DBUILD_SHIBBOLETH_SUPPORT=ON

%make_build

%install
%make_install -C build

%files
%doc README.md
%license LICENSE
%{_bindir}/*
%{_datadir}/applications/*.desktop
%{_iconsdir}/hicolor/*/apps/*
%{_datadir}/pixmaps/*


%changelog
* Sun Jul 02 2017 daviddavid <daviddavid> 6.0.7-1.mga6
+ Revision: 1108912
- new version: 6.0.7

* Sat Jul 01 2017 daviddavid <daviddavid> 6.0.6-1.mga6
+ Revision: 1108843
- new version: 6.0.6

* Wed Feb 15 2017 mrambo3501 <mrambo3501> 6.0.0-2.mga6
+ Revision: 1086259
- rebuild for new libevent

* Mon Oct 31 2016 daviddavid <daviddavid> 6.0.0-1.mga6
+ Revision: 1064291
- new version: 6.0.0

* Mon Sep 05 2016 daviddavid <daviddavid> 5.1.3-2.mga6
+ Revision: 1050130
- do not build on armv5tl because of missing qtwebengine5

* Thu Jun 30 2016 daviddavid <daviddavid> 5.1.3-1.mga6
+ Revision: 1038173
- new version: 5.1.3

* Wed May 11 2016 daviddavid <daviddavid> 5.1.1-3.mga6
+ Revision: 1012674
- remove unnecessary requires

* Sat May 07 2016 daviddavid <daviddavid> 5.1.1-2.mga6
+ Revision: 1010158
- add missing requires on seafile, ccnet and python-pysearpc

* Fri May 06 2016 daviddavid <daviddavid> 5.1.1-1.mga6
+ Revision: 1010053
- initial package seafile-client

